$(document).ready(function () {
    var file_name = null;
    var clicktrigger = false;

    $("#TB_ajaxContent").css({"width": "650px", "height": "100%"});

    $("#cancel").on("click", function () {
        $('#file_details').html("");
        $('.search-actions').hide();
    });

    $('.sendtoeditor').click(function () {
        if (clicktrigger)return;
        clicktrigger = true;
        $(this).attr("disabled", true);
        var nname = $(this).attr('alt');
        wpcsp_process_setting('sendeditor', 'start');
        var file = '';
        var now = new Date();
        var dt = now.getDate();
        var tm = now.getTime();
        ajaxdata = {
            action: 'wpcsp_ajaxprocess',
            fucname: 'get_parameters',
            filename: nname
        };
        $.post('function.php', ajaxdata, function (param) {
            //var file = "[copysafe name='"+nname+"'" + param + "]" ;
            var file = "<div><em class='copy_" + dt + tm + "'>[copysafepdf name='" + nname + "'" + param + "]</em></div>";

            ExampleDialog.insert(file);
            wpcsp_process_setting('sendeditor', 'end');
            clicktrigger = true;
        });
        return false;
    });

    $("#wpcsp_div .ui-tabs-anchor").click(function () {
        var iid = $(this).attr("id");
        iid = iid.substring(0, iid.length - 3);
        $("#wpcsp_div .ui-tabs-panel").hide();
        $("#" + iid).show();
        $(this).parents(".ui-tabs-nav").children(".ui-state-default").removeClass("ui-state-active");
        $(this).parent().addClass("ui-state-active");
    });

    //----------------------------------------
    var wpcsp_string_adjust = function (s, n) {
        var s_length = s.length;
        if (s_length <= n)return s;
        var c_n = Math.floor(n / 2);
        var e_n = s_length - n + 3 + c_n;
        s = s.substr(0, c_n) + "..." + s.substr(e_n);
        return s;
    }
    var pluginurl = $("#plugin-url").val();
    var plugindir = $("#plugin-dir").val();
    var upload_path = $("#upload-path").val();
    var max_size = $("#upload-max-size").val();

    var prequeue = "";
    var wpcsp_process_setting = function (frm, status) {
        if (status == "start")$("#wpcsp_ajax_process").show();
        if (status == "end")$("#wpcsp_ajax_process").hide();
        if (frm == "load") {
            if (status == "start") {
                $("#wpcsp_message").html("");
                $('input:button').attr("disabled", true);
            }
            if (status == "end") {
                $('#file_select').uploadifive('cancel', prequeue);
                prequeue = "";
                $("#custom-queue").html("No file chosen");
                $('input:button').attr("disabled", false);
            }
        }

        if (frm == "search") {
            if (status == "start") {
                $("#search").attr("disabled", true);
            }
            if (status == "end") {
                $("#search").attr("disabled", false);
            }
        }

        if (frm == "setting") {
            if (status == "start") {

            }
            if (status == "end") {

            }
        }
    }
    
    $("#upload").click(function () {
        if (!prequeue)return;
        $('#file_select').uploadifive('upload');
        wpcsp_process_setting("load", "start");
    });

    $("#search").click(function () {
        file_name = $("#wpcsp_searchfile").val();
        var postid = $("#postid").val();
        if (!file_name) {
            alert('Type a file name');
            $("#wpcsp_searchfile").focus();
        } else {
            ajaxdata = {
                action: 'wpcsp_ajaxprocess',
                fucname: 'file_search',
                search: file_name,
                post_id: postid
            };
            wpcsp_process_setting("search", "start");
            $.post('function.php', ajaxdata, function (param) {
                wpcsp_process_setting("search", "end");
                $('#file_details').html(param);
                $('.search-actions').show();
            });
        }
    });

    $('.setdetails').on("click", function () {
        $("#tabs-2-bt").trigger("click");
        $("#wpcsp_searchfile").val($(this).attr('alt'));
        $("#search").trigger("click");
        return false;
    });

    $("#setting_save").click(function () {
        var now = new Date();
        var dt = now.getDate();
        var tm = now.getTime();
        var postid = dt + tm;
        var setData = {};
        $("#wpcsp_setting_body input").each(function () {
            var nname = $(this).attr("name");
            if (nname == "key_safe" || nname == "capture_safe" || nname == "menu_safe" || nname == "remote_safe") {
                setData[nname] = ($(this).attr("checked") == "checked" ) ? 1 : 0;

            } else {
                setData[nname] = $(this).val();

            }
        });
        ajaxdata = {
            action: 'wpcsp_ajaxprocess',
            fucname: 'setting_save',
            post_id: postid,
            nname: $("#wpcsp_searchfile").val(),
            set_data: $.toJSON(setData)
        };
        wpcsp_process_setting("setting", "start");
        $.post('function.php', ajaxdata, function (param) {
            $("#wpcsp_message").html(param);
            wpcsp_process_setting("setting", "end");
            $("#tabs-3-bt").trigger("click");
        });
    });

    $("#wpcsp_setting_body img").on("click", function () {
        alert($(this).attr("alt"));
    });

    $('.delete').on("click", function () {
        ajaxdata = {
            action: 'wpcsp_ajaxprocess',
            fucname: 'setting_del',
            nname: $(this).attr('alt')
        };
        wpcsp_process_setting("setting", "start");
        $.post('function.php', ajaxdata, function (param) {
            alert('Deleted');
            wpcsp_process_setting("setting", "end");
            location.reload(true);
            $("#tabs-3-bt").trigger("click");
        });
    });
});

function formatText(iframe, command, option) {
    iframe.contentWindow.focus();
    try {
        iframe.contentWindow.document.execCommand(command, false, option); //Right here
    } catch (e) {
        console.log(e)
    }
    iframe.contentWindow.focus();
}


