<?php  //$Id: upgrade.php,v 1.2 2007/08/08 22:36:54 stronk7 Exp $

// This file keeps track of upgrades to
// the newmodule module
//
// Sometimes, changes between versions involve
// alterations to database structures and other
// major things that may break installations.
//
// The upgrade function in this file will attempt
// to perform all the necessary actions to upgrade
// your older installtion to the current version.
//
// If there's something it cannot do itself, it
// will tell you what you need to do.
//
// The commands in here will all be database-neutral,
// using the functions defined in lib/ddllib.php

function xmldb_copysafepdf_upgrade($oldversion=0) {

    global $CFG, $THEME, $DB;

    $result = true;

    if($oldversion < 2017030502) {
        $DB->execute("delete from {config} where name in ('CopysafePdf_allowopera', 'CopysafePdf_allowsafari', 'CopysafePdf_allowie')"); 

        upgrade_mod_savepoint(true, 2017030502, 'copysafepdf');
    }

    return $result;
}

?>
