<?php
require_once('../../config.php');
//$cmid = required_param('id', PARAM_INT);
//$cm = get_coursemodule_from_id('protects', $cmid, 0, false, MUST_EXIST);
//$course = $DB->get_record('course', array('id' => $cm->course), '*', MUST_EXIST);
//require_login($course, true, $cm);
//$PAGE->set_url('/mod/copysafepdf/function.php', array('id' => $cm->id));
//$PAGE->set_title('My modules page title');
//$PAGE->set_heading('My modules page heading');

$fucname = optional_param('fucname', '', PARAM_TEXT);

if ($fucname == "file_upload") {
  $err = required_param('error', PARAM_INT);
  $msg = wpcsp_file_upload($err);
  $upload_list = get_wpcsp_uploadfile_list();
  $data = array(
    "message" => $msg,
    "list" => $upload_list
  );
  echo json_encode($data);

}

if ($fucname == "file_search") {
  $srch = required_param('search', PARAM_TEXT);
  $postid = required_param('post_id', PARAM_INT);
  $data = wpcsp_file_search($srch, $postid);
  echo $data;
}

if ($fucname == "setting_save") {
  $nname = required_param('nname', PARAM_TEXT);
  $postid = required_param('post_id', PARAM_INT);
  $set_data = required_param('set_data', PARAM_TEXT);
  $data = wpcsp_setting_save($nname, $postid, $set_data);
  echo $data;
}

if ($fucname == "setting_del") {
  $nname = required_param('nname', PARAM_TEXT);
  $data = wpcsp_setting_del($nname);
  echo $data;
}

if ($fucname == "get_parameters") {
  $finame = required_param('filename', PARAM_TEXT);
  $data = wpcsp_get_parameters($finame);
  echo $data;
}

if ($fucname == "get_config") {
  $data = wpcsp_get_config();
  echo $data;
}

//exit() ;
function wpcsp_get_config() {
  global $DB, $CFG;
  $res = array();
  //$result = $DB->get_records_list('config', 'name', array( 'CopysafePdf_uploadfolder','CopysafePdf_uploadfolder','CopysafePdf_mode','CopysafePdf_allowie','CopysafePdf_allowfirefox','CopysafePdf_allowchrome','CopysafePdf_allownavigator','CopysafePdf_allowopera','CopysafePdf_allowsafari'), null, 'value');
  $result = $DB->get_records_sql('SELECT * FROM {config} WHERE name LIKE ?', array('CopysafePdf%'));
 
  foreach ($result as $key => $val) {
    $res[$val->name] = $val->value;
  }

  echo json_encode($res) . '~' . $pluginurl = new moodle_url('/mod/copysafepdf/') . '~' . $uploadurl = new moodle_url('/mod/copysafepdf/copysafepdfimage/');
}

function wpcsp_get_parameters($finame) {
  global $DB, $CFG;
  //$postid = $_POST["post_id"] ;
  $filename = trim($finame);
  $result = $DB->get_record_sql('SELECT * FROM {copysafepdf_settings} WHERE name = ?', array($filename));
  if (empty($result)) {
    $result = wpcsp_get_first_class_settings();
    extract($result);
    $prints_allowed = ($prints_allowed) ? 1 : 0;
    $print_anywhere = ($print_anywhere) ? 1 : 0;
    $allow_capture = ($allow_capture) ? 1 : 0;
    $allow_remote = ($allow_remote) ? 1 : 0;

    $params = " bgwidth='" . $bgwidth . "'" .
      " bgheight='" . $bgheight . "'" .
      " prints_allowed='" . $prints_allowed . "'" .
      " print_anywhere='" . $print_anywhere . "'" .
      " allow_capture='" . $allow_capture . "'" .
      " allow_remote='" . $allow_remote . "'" .
      " background='" . $background . "'" .
      " language='" . $language . "'";
  } else {
    $params = " bgwidth='" . $result->bgwidth . "'" .
      " bgheight='" . $result->bgheight . "'" .
      " prints_allowed='" . $result->prints_allowed . "'" .
      " print_anywhere='" . $result->print_anywhere . "'" .
      " allow_capture='" . $result->allow_capture . "'" .
      " allow_remote='" . $result->allow_remote . "'" .
      " background='" . $result->background . "'" .
      " language='" . $result->language . "'";

  }


  return $params;
}

function wpcsp_get_first_class_settings() {
  global $CFG;
  $settings = array(
    'bgwidth' => $CFG->CopysafePdf_bgwidth,
    'bgheight' => $CFG->CopysafePdf_bgheight,
    'prints_allowed' =>$CFG->CopysafePdf_prints_allowed,
    'print_anywhere' => $CFG->CopysafePdf_print_anywhere,
    'allow_capture' =>$CFG->CopysafePdf_allow_capture,
    'allow_remote' => $CFG->CopysafePdf_allow_remote,
    'background' => $CFG->CopysafePdf_background,
    'language' => $CFG->CopysafePdf_language,
  );
  return $settings;
}

function wpcsp_file_upload($err) {
  $file_error = $err;
  $file_errors = array(0 => "There is no error, the file uploaded with success",
    1 => "The uploaded file exceeds the upload_max_filesize directive in php.ini",
    2 => "The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form",
    3 => "The uploaded file was only partially uploaded",
    4 => "No file was uploaded",
    6 => "Missing a temporary folder",
    7 => "Upload directory is not writable"
  );

  if ($file_error == 0) {
    $msg = '<div class="updated"><p><strong>' . 'File Uploaded. You must save "File Details" to insert post' . '</strong></p></div>';
  } else {
    $msg = '<div class="error"><p><strong>' . 'Error' . '!</strong></p><p>' . $file_errors[$file_error] . '</p></div>';
  }
  return $msg;
}

function wpcsp_file_search($srch, $postid) {
  // get selected file details
  if (@!empty($srch) || @!empty($postid)) {

    $postid = $postid;
    $search = trim($srch);

    $files = _get_wpcsp_uploadfile_list();

    $result = false;
    foreach ($files as $file)
      if ($search == trim($file["filename"])) $result = true;

    if (!$result) return "<hr /><h2>No found file</h2>";

    $file_options = wpcsp_get_first_class_settings();

//	    $wpcsp_options = get_option( 'wpcsp_settings' );
//	    if( $wpcsp_options["classsetting"][$postid][$search] )
//	    	$file_options = $wpcsp_options["classsetting"][$postid][$search] ;
//	    
    extract($file_options, EXTR_OVERWRITE);

    $str = "<hr />
	    		<div class='icon32' id='icon-file'><br /></div>
		        <h2>Page Settings</h2>
		        <div>
	    			<table cellpadding='0' cellspacing='0' border='0' >
	  					<tbody id='wpcsp_setting_body'> 
							  <tr>
							    <td align='left' width='50'>&nbsp;</td>
							    <td align='left' width='40'><img src='./images/help-24-30.png' border='0' alt='Border thickness in pixels. For no border set 0.' /></td>						    
    							<td align='left'>Viewer width:</td>
							    <td> 
							      <input name='bgwidth' id='wpcsp_bgwidth' type='text' value='$bgwidth' size='3' />
							    </td>
							  </tr>
							  <tr>
							    <td align='left'>&nbsp;</td>
							    <td align='left'><img src='./images/help-24-30.png' border='0' alt='Color of the border and image backround area. For example use FFFFFF for white and 000000 is for black... without the # symbol.' /></td>
							    <td align='left'>Viewer height:</td>
							    <td> 
							      <input name='bgheight' id='wpcsp_bgheight' type='text' value='$bgheight' size='7' />
							    </td>
							  </tr>
							  <tr>
							    <td align='left'>&nbsp;</td>
							    <td align='left'><img src='./images/help-24-30.png' border='0' alt='Color of the text message that is displayed in the image area sas the image downloads.' /></td>
							    <td align='left'>Prints Allowed:</td>
							    <td> 
							      <input name='prints_allowed' id='wpcsp_prints_allowed' type='text' value='$prints_allowed' size='7' />
							    </td>
							  </tr>
							<tr>
							    <td align='left'>&nbsp;</td>
							    <td align='left'><img src='./images/help-24-30.png' border='0' alt='Check this box to disable Printscreen and screen capture when the class image loads.'></td>
							    <td align='left'>Print Anywhere:</td>
							    <td> 
							      <input name='print_anywhere' type='checkbox' value='1' $print_anywhere>
							    </td>
							  </tr>
							  <tr>
							    <td align='left'>&nbsp;</td>
							    <td align='left'><img src='./images/help-24-30.png' border='0' alt='Check this box to disable use of the keyboard when the class image loads.' /></td>
							    <td align='left'>Allow capture:</td>
							    <td> 
							      <input name='allow_capture' id='wpcsp_allow_capture' type='checkbox' value='1' $allow_capture>
							    </td>
							  </tr>
							  
							  <tr>
							    <td align='left'>&nbsp;</td>
							    <td align='left'><img src='./images/help-24-30.png' border='0' alt='Check this box to disable use of browser menus. This option is browser dependent.'></td>
							    <td align='left'>Allow remote:</td>
							    <td> 
							      <input name='allow_remote' type='checkbox' value='1' $allow_remote>
							    </td>
							  </tr>
							 
							  <tr>
							    <td align='left'>&nbsp;</td>
							    <td align='left'><img src='./images/help-24-30.png' border='0' alt='Set the message to display as this class image loads.' /></td>
							    <td align='left'>Background:&nbsp;</td>
							    <td> 
							      <input name='background' id='wpcsp_background' type='text' value='$background' size='' />
							    </td>
							  </tr>
                                                   
						</tbody> 
					</table>
			        <!--<p class='submit'>
			            <input type='button' value='Save' class='button-primary' id='setting_save' name='submit' />
			            <input type='button' value='Cancel' class='button-primary' id='cancel' />
			        </p>-->
        	</div>";
    return $str;
  }
}

function wpcsp_setting_save($nname, $postid, $set_data) {
  global $DB, $CFG;
  $postid = $postid;
  $name = trim($nname);
  $data = (array)json_decode(stripcslashes($set_data));


  $record = new stdClass();
  $record->name = $name;
  $record->postid = $postid;
  if (isset($data['bgwidth']))
    $record->bgwidth = $data['bgwidth'];
  if (isset($data['bgheight']))
    $record->bgheight = $data['bgheight'];
  if (isset($data['prints_allowed']))
    $record->prints_allowed = $data['prints_allowed'];
  if (isset($data['print_anywhere']))
    $record->print_anywhere = $data['print_anywhere'];
  if (isset($data['allow_capture']))
    $record->allow_capture = $data['allow_capture'];
  if (isset($data['allow_remote']))
    $record->allow_remote = $data['allow_remote'];
  if (isset($data['background']))
    $record->background = $data['background'];
  if (isset($data['language']))
    $record->language = $data['language'];

  $result = $DB->get_record_sql('SELECT * FROM {copysafepdf_settings} WHERE name = ?', array($name));
  if (!empty($result->postid)) {
    $record->id = $result->id;
    $DB->update_record('copysafepdf_settings', $record);
  } else
    $DB->insert_record('copysafepdf_settings', $record);
  $msg = '';
//    $msg = '<div class="updated fade">
//    			<strong>'.__('File Options Are Saved').'</strong><br />
//    			<div style="margin-top:5px;"><a href="#" alt="'.$name.'" class="button-secondary sendtoeditor"><strong>Insert file to editor</strong></a></div>
//		    </div>';
  return $msg;

}

function wpcsp_setting_del($nname) {
  global $DB, $CFG;
  $name = trim($nname);
  $result = $DB->delete_records('copysafepdf_settings', array('name' => $name));
  if ($result)
    unlink($CFG->dirroot . '/mod/copysafepdf/copysafepdfimage/' . $name);
  return $result;

}

function _get_wpcsp_uploadfile_list() {
  $listdata = array();
  global $CFG, $DB;
  $file_list = scandir($CFG->dirroot . '/mod/copysafepdf/copysafepdfimage/');
  foreach ($file_list as $file) {
    if ($file == "." || $file == "..") continue;
    $file_path = $CFG->dirroot . '/mod/copysafepdf/copysafepdfimage/' . $file;
    if (filetype($file_path) != "file") continue;
    $fname = explode('.', $file);
    $ext = end($fname);
    if ($ext != "class") continue;

    $file_path = $CFG->dirroot . '/mod/copysafepdf/copysafepdfimage/' . $file;
    $file_name = $file;
    $file_size = filesize($file_path);
    $file_date = filemtime($file_path);

    if (round($file_size / 1024, 0) > 1) {
      $file_size = round($file_size / 1024, 0);
      $file_size = "$file_size KB";
    } else {
      $file_size = "$file_size B";
    }

    $file_date = date("n/j/Y g:h A", $file_date);

    $listdata[] = array(
      "filename" => $file_name,
      "filesize" => $file_size,
      "filedate" => $file_date
    );
  }
  return $listdata;
}

function get_wpcsp_uploadfile_list() {

  $files = _get_wpcsp_uploadfile_list();
  $table = '';
  foreach ($files as $file) {
    //$link = "<div class='row-actions'>
    //			<span><a href='#' alt='{$file["filename"]}' class='setdetails row-actionslink' title=''>Setting</a></span>&nbsp;|&nbsp;
    //			<span><a href='#' alt='{$file["filename"]}' class='sendtoeditor row-actionslink' title=''>Insert to post</a></span>
    //		</div>" ;
    // prepare table row
    $table .= "<tr><td></td><td><a href='#' alt='{$file["filename"]}' class='sendtoeditor row-actionslink'>{$file["filename"]}</a></td><td width='50px'>{$file["filesize"]}</td><td width='130px'>{$file["filedate"]}</td><td><a href='#' alt='{$file["filename"]}' class='delete row-actionslink'>delete</a></td></tr>";
  }

  if (!$table) {
    $table .= '<tr><td colspan="3">' . 'No file uploaded yet.' . '</td></tr>';
  }

  return $table;
}


?>
